/*****************************************************
**********     Charles Bellemare      ****************
**********     Luc Bissonnette        ****************
**********     Sabine Kroger          ****************
**********     Universite Laval       ****************
**********     Dept. of Economics     ****************
**********     August 21st 2015       ****************
*****************************************************/                             

* Description: some examples 
* See the help file for details on the examples

* Some examples of the powerBBK package
clear
pause on


//Basic example
clear
powerBBK pwrexample, budget(364) t(2) design(between) beta(6.3 0.1) muvar(0.045) epsvar(0.02) command(regress) panel
pause


//Other estimators
clear
powerBBK pwrexamplerank, budget(400) t(2) design(both) beta(6.3 0.1) muvar(0.045) epsvar(0.02)  command(rank) panel 
pause


//Treatment heteroskedascticity
clear
powerBBK pwrexample, budget(364) t(2) design(both) beta(6.3 0.1) muvar(0.045) epsvar(0.02 0.04) command(regress) panel
pause


//Testing alternative allocations
clear
powerBBK pwrexample, budget(364) t(2) design(between) beta(6.3 0.1) muvar(0.045) epsvar(0.02) command(regress) panel allocation(0.33 0.5 0.66)
pause


//Changing costs of treatment or control
clear
powerBBK pwrexample, budget(364) t(2) design(between) beta(6.3 0.1) muvar(0.045) epsvar(0.02) command(regress) panel costtreatment(2)
pause


//Testing alternative budgets
clear
powerBBK pwrexample, budget(40(40)800) t(2) design(between) beta(6.3 0.1) muvar(0.045) epsvar(0.02) command(regress) panel rep(100) allocation(0.33 0.5 0.66)
pause


//Time varying effects
clear
powerBBK pwrexample, budget(400) t(4) design(between) beta(6.3 0.1(0.1)0.4) muvar(0.045) epsvar(0.02) command(regress) panel
pause


//Order effects
clear
powerBBK pwrexample, budget(364) t(4) design(within) beta(6.3 0.1) muvar(0.045) epsvar(0.02) command(regress) panel order(0.5)  // rep(1)
pause

clear
powerBBK pwrexample, budget(364) t(4) design(within) beta(6.3 0.1 0.2) muvar(0.045) epsvar(0.02) command(regress) panel order(0.5)  // rep(1)
pause

STOP

//Continuous treatment variable
clear
powerBBK pwrexample, budget(400) continuous(uniform()) t(6) design(both) beta(6.3 0.1) muvar(0.09) epsvar(0.02) command(regress) 
pause

//Graphics
clear
powerBBK pwrexample, budget(40(40)800) t(2) design(both) beta(6.3 0.1) muvar(0.045) epsvar(0.02) command(regress) panel rep(100)
line pwrexample_power* budget, name(budget, replace)
twoway (line pwrexample_power_between N_between) (line pwrexample_power_within N_within), name(participants, replace)
pause
